SPA PDF Overlays

SPA: Updates a PDF overlay

Updates an existing PDF overlay.

PATCH/api/spa/pdf-overlays/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

PdfOverlay identifier

Request Body

application/json
required

The updated PdfOverlay resource

{
  "name": "DIN A4 letterhead overlay",
  "fileName": "letterhead.pdf",
  "file": "string",
  "subClient": {},
  "subClientDefault": false
}

Response

200application/json

PdfOverlay resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

name
stringrequired

Name of the PDF overlay.

Example: "DIN A4 letterhead overlay"

fileName
stringrequired

Original PDF file name.

Example: "letterhead.pdf"

file
value
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"